List Asset Types
curl --request GET \
--url https://api.anchorage-staging.com/v3/asset-types \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/asset-types"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/asset-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"assetType": "BTC",
"decimals": 8,
"name": "Bitcoin",
"networkId": "BTC",
"onchainIdentifier": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
}
]
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}List Asset Types
Permissions required: None
List all supported asset types for your organization.
GET
/
asset-types
List Asset Types
curl --request GET \
--url https://api.anchorage-staging.com/v3/asset-types \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/asset-types"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/asset-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"assetType": "BTC",
"decimals": 8,
"name": "Bitcoin",
"networkId": "BTC",
"onchainIdentifier": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
}
]
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
Filter by specific network ID. Returns only assets on the specified network.
Response
Success
Response containing a list of supported asset types
Array of asset type details
Show child attributes
Show child attributes
Was this page helpful?